openSUSE 10 Security Update : cifs-mount (cifs-mount-4777)

High Nessus Plugin ID 29343

Synopsis

The remote openSUSE host is missing a security update.

Description

This update of samba fixes a buffer overflow in function send_mailslot() that allows to overwrite the stack with zero-bytes.
(CVE-2007-6015)

Solution

Update the affected cifs-mount packages.

Plugin Details

Severity: High

ID: 29343

File Name: suse_cifs-mount-4777.nasl

Version: Revision: 1.7

Type: local

Agent: unix

Published: 2007/12/12

Updated: 2014/06/13

Dependencies: 12634

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 9.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:cifs-mount, p-cpe:/a:novell:opensuse:ldapsmb, p-cpe:/a:novell:opensuse:libmsrpc, p-cpe:/a:novell:opensuse:libmsrpc-devel, p-cpe:/a:novell:opensuse:libsmbclient, p-cpe:/a:novell:opensuse:libsmbclient-32bit, p-cpe:/a:novell:opensuse:libsmbclient-devel, p-cpe:/a:novell:opensuse:libsmbsharemodes, p-cpe:/a:novell:opensuse:libsmbsharemodes-devel, p-cpe:/a:novell:opensuse:samba, p-cpe:/a:novell:opensuse:samba-32bit, p-cpe:/a:novell:opensuse:samba-client, p-cpe:/a:novell:opensuse:samba-client-32bit, p-cpe:/a:novell:opensuse:samba-devel, p-cpe:/a:novell:opensuse:samba-krb-printing, p-cpe:/a:novell:opensuse:samba-pdb, p-cpe:/a:novell:opensuse:samba-python, p-cpe:/a:novell:opensuse:samba-vscan, p-cpe:/a:novell:opensuse:samba-winbind, p-cpe:/a:novell:opensuse:samba-winbind-32bit, cpe:/o:novell:opensuse:10.1, cpe:/o:novell:opensuse:10.2, cpe:/o:novell:opensuse:10.3

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2007/12/04

Reference Information

CVE: CVE-2007-6015

CWE: 119